package org.rcisoft.business.cmsbannerunit.dao;

import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;
import org.rcisoft.business.cmsbannerunit.entity.CmsBannerUnit;
import org.rcisoft.business.sysunit.entity.SysUnit;
import org.rcisoft.core.mapper.CyBaseMapper;
import org.rcisoft.core.model.CyPageInfo;

import java.util.List;

/**
 * Created with cy on 2024年6月7日 下午2:29:37.
 */

public interface CmsBannerUnitRepository extends CyBaseMapper<CmsBannerUnit> {


    List<CmsBannerUnit> queryCmsBannerUnits(@Param("entity") CmsBannerUnit cmsBannerUnit);

    /**
     * 分页查询 cmsBannerUnit
     */
    IPage<CmsBannerUnit> queryCmsBannerUnitsPaged(CyPageInfo cyPageInfo, @Param("entity") CmsBannerUnit cmsBannerUnit);

    void deleteUnitByBannerId(@Param("businessId") Integer businessId);

    int assignBannerToBusiness(List<CmsBannerUnit> cmsBanner);

    void deleteTheUserByMerchantId(@Param("sysUnit") SysUnit sysUnit);

    void deleteUnitByBannerIdUnitid(@Param("businessId") Integer businessId, @Param("unitId") String unitId);
}

