package org.rcisoft.business.cmsbannerunit.entity;
import cn.afterturn.easypoi.excel.annotation.Excel;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

import org.rcisoft.core.entity.CyIdNotDataEntity;
import java.math.BigDecimal;
import java.math.BigInteger;
import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
* Created with cy on 2024年6月7日 下午2:29:37.
*/
@Data
@TableName("cms_banner_unit")
public class CmsBannerUnit  extends CyIdNotDataEntity<CmsBannerUnit> {


     /**
     * @desc cms_banner表business_id
     * @column cms_banner_id
     * @default 
     */
     @Excel(name = "cms_banner表business_id", orderNum = "0", width = 20)
     private Integer cmsBannerId;

     /**
     * @desc sys_unit商家表
     * @column sys_unit_id
     * @default 
     */
     @Excel(name = "sys_unit商家表", orderNum = "1", width = 20)
     private Integer sysUnitId;


}

