package org.rcisoft.business.crawler.exceptions;

import org.rcisoft.business.crawler.enums.WxResultStatus;

/**
 * 异常类
 * @author gxk
 */
public class WxApiException extends RuntimeException {

    /**错误枚举**/
    private WxResultStatus wxResultStatus;

    public WxApiException(WxResultStatus wxResultStatus) {
        super(wxResultStatus.name());
        this.wxResultStatus = wxResultStatus;
    }

    public WxApiException(WxResultStatus wxResultStatus, Exception e) {
        super(wxResultStatus.name(), e);
        this.wxResultStatus = wxResultStatus;
    }

    public WxResultStatus getWxResultStatus() {
        return wxResultStatus;
    }

}
