package org.rcisoft.business.sysunit.dto;

import lombok.Data;

/**
 * 统计返参
 */
@Data
public class StatisticsDto {
    /**
     * 文章/视频  id
     */
    private Integer newVideoId;
    /**
     * 人员名称
     */
    private String name;
    /**
     * 文章推广次数
     */
    private String newsRate;
    /**
     * 视频推广次数
     */
    private String videoRate;
    /**
     * 文章视频标题
     */
    private String title;
    /**
     * 类型 0 文章 1 视频
     */
    private Integer type;
    /**
     * 总推广次数
     */
    private Integer rate;
}
