package org.rcisoft.business.cmsbankcard.dao;

import org.rcisoft.core.mapper.CyBaseMapper;
import org.rcisoft.business.cmsbankcard.entity.CmsBankCard;
import org.apache.ibatis.annotations.ResultMap;
import org.apache.ibatis.annotations.Select;
import org.springframework.stereotype.Repository;
import org.rcisoft.core.model.CyPageInfo;
import org.apache.ibatis.annotations.Param;
import com.baomidou.mybatisplus.core.metadata.IPage;

import java.util.List;

/**
* Created with cy on 2024年6月4日 上午10:19:34.
*/

public interface CmsBankCardRepository extends CyBaseMapper<CmsBankCard> {


    List<CmsBankCard> queryCmsBankCards(@Param("entity") CmsBankCard cmsBankCard);

    /**
    * 分页查询 cmsBankCard
    *
    */
    IPage<CmsBankCard> queryCmsBankCardsPaged(CyPageInfo cyPageInfo,@Param("entity") CmsBankCard cmsBankCard);
}

