package org.rcisoft.business.cmsbankcard.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.rcisoft.business.cmsbankcard.entity.CmsBankCard;
import org.rcisoft.core.model.CyPersistModel;
import org.rcisoft.core.aop.CyPageUtilAsp;
import org.rcisoft.core.model.CyPageInfo;

import java.util.List;

/**
 * Created by cy on 2024年6月4日 上午10:19:34.
 */
public interface CmsBankCardService {

    /**
    * 保存 用户_银行卡账号中间表
    * @param cmsBankCard
    * @return
    */
    CyPersistModel persist(CmsBankCard cmsBankCard);

    /**
    * 删除 用户_银行卡账号中间表
    * @param cmsBankCard
    * @return
    */
    CyPersistModel remove(CmsBankCard cmsBankCard);

    /**
    * 修改 用户_银行卡账号中间表
    * @param cmsBankCard
    * @return
    */
    CyPersistModel merge(CmsBankCard cmsBankCard);

    /**
    * 根据id查询 用户_银行卡账号中间表
    * @param id
    * @return
    */
    CmsBankCard findById(int id);

    /**
    * 分页查询 用户_银行卡账号中间表
    * @param cmsBankCard
    * @return
    */
    IPage<CmsBankCard> findAllByPagination(CyPageInfo<CmsBankCard> paginationUtility,
              CmsBankCard cmsBankCard);


    /**
    * 查询list 用户_银行卡账号中间表
    * @param cmsBankCard
    * @return
    */
    List<CmsBankCard> findAll(CmsBankCard cmsBankCard);


    /**
    * 导出用户_银行卡账号中间表
    * @return
    */
    List<CmsBankCard> export(CmsBankCard cmsBankCard);

}
