package org.rcisoft.business.cmstask.dao;

import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;
import org.rcisoft.business.cmstask.entity.CmsTask;
import org.rcisoft.core.mapper.CyBaseMapper;
import org.rcisoft.core.model.CyPageInfo;

import java.util.List;

/**
 * Created with cy on 2024年6月11日 下午5:32:32.
 */

public interface CmsTaskRepository extends CyBaseMapper<CmsTask> {


    List<CmsTask> queryCmsTasks(@Param("entity") CmsTask cmsTask);

    /**
     * 分页查询 cmsTask
     */
    IPage<CmsTask> queryCmsTasksPaged(CyPageInfo cyPageInfo, @Param("entity") CmsTask cmsTask);


}

