package org.rcisoft.business.cmstask.entity;

import cn.afterturn.easypoi.excel.annotation.Excel;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import org.rcisoft.core.entity.CyIdIncreEntity;

/**
 * Created with cy on 2024年6月11日 下午5:32:32.
 */
@Data
@TableName("cms_task")
public class CmsTask extends CyIdIncreEntity<CmsTask> {

    /**
     * @desc 主题
     * @column topic
     * @default
     */
    @Excel(name = "主题", orderNum = "0", width = 20)
    private String topic;

    /**
     * @desc 类型（0-自动、1-手动）
     * @column type
     * @default
     */
    @Excel(name = "类型（0-自动、1-手动）", orderNum = "1", width = 20)
    private String type;

    /**
     * @desc 爬取状态（0-进行中、1-成功、2-失败）
     * @column status
     * @default
     */
    @Excel(name = "爬取状态（0-进行中、1-成功、2-失败）", orderNum = "2", width = 20)
    private String status;

    /**
     * @desc 更新条数
     * @column num
     * @default
     */
    @Excel(name = "更新条数", orderNum = "3", width = 20)
    private Integer num;


}

