package org.rcisoft.business.cmsunitnewvideo.dao;

import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;
import org.rcisoft.business.cmsunitnewvideo.entity.CmsUnitNewVideo;
import org.rcisoft.business.sysunit.entity.SysUnit;
import org.rcisoft.core.mapper.CyBaseMapper;
import org.rcisoft.core.model.CyPageInfo;

import java.util.List;

/**
 * Created with cy on 2024年6月6日 上午10:17:38.
 */

public interface CmsUnitNewVideoRepository extends CyBaseMapper<CmsUnitNewVideo> {


    List<CmsUnitNewVideo> queryCmsUnitNewVideos(@Param("entity") CmsUnitNewVideo cmsUnitNewVideo);

    /**
     * 分页查询 cmsUnitNewVideo
     */
    IPage<CmsUnitNewVideo> queryCmsUnitNewVideosPaged(CyPageInfo cyPageInfo, @Param("entity") CmsUnitNewVideo cmsUnitNewVideo);

    List<CmsUnitNewVideo> queryVideoOrArticleRelationships(Integer deptId);

    void deleteTheUserByMerchantId(@Param("sysUnit") SysUnit sysUnit);

    void deleteByUnitIdAndNewsVideoId(@Param("unitId") String unitId, @Param("newsVideoId") Integer newsVideoId, @Param("type") String type);

    void deleteByNewsVideoId(@Param("newsVideoId") Integer newsVideoId, @Param("type") String type);

    List<CmsUnitNewVideo> listAllByUnitIdType(@Param("entity") CmsUnitNewVideo cmsUnitNewVideo);
}

