package org.rcisoft.business.sysunitnews.entity;
import cn.afterturn.easypoi.excel.annotation.Excel;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

import org.rcisoft.core.entity.CyIdIncreEntity;
import org.rcisoft.core.entity.CyIdNotDataEntity;
import java.math.BigDecimal;
import java.math.BigInteger;
import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
* Created with cy on 2024年6月3日 下午3:35:01.
*/
@Data
@TableName("sys_unit_news")
public class SysUnitNews  extends CyIdIncreEntity<SysUnitNews> {


     /**
     * @desc 单位id
     * @column unit_id
     * @default
     */
     @Excel(name = "单位id", orderNum = "0", width = 20)
     private Integer unitId;

     /**
     * @desc 文章id
     * @column news_id
     * @default
     */
     @Excel(name = "文章id", orderNum = "1", width = 20)
     private String newsId;


}

